#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb57a1c8c, "__bio_release_pages" },
	{ 0xa1c73f59, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb90409dd, "get_user_pages_fast" },
	{ 0x158d9c43, "d_instantiate" },
	{ 0xdcb4b8bf, "clear_inode" },
	{ 0xb74aa5ef, "inode_to_bdi" },
	{ 0xb985a914, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1f00ecc3, "simple_dir_inode_operations" },
	{ 0x3cd5bee3, "noop_fsync" },
	{ 0xccaa2303, "bio_add_pc_page" },
	{ 0xabae3ac1, "set_blocksize" },
	{ 0x6cfa1685, "new_inode" },
	{ 0x7b2d2493, "trace_raw_output_prep" },
	{ 0x91ad025a, "init_special_inode" },
	{ 0xbfb2800, "unregister_filesystem" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x9da1152f, "__trace_trigger_soft_disabled" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x8ae2367f, "iov_iter_advance" },
	{ 0xfb19912a, "simple_statfs" },
	{ 0x6ac5fdac, "d_make_root" },
	{ 0x4e7282ae, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc84570c, "fget" },
	{ 0x6e2f08a9, "d_genocide" },
	{ 0x436e857a, "current_time" },
	{ 0x1a0599da, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xd6b36bb, "iput" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe66082b, "__put_devmap_managed_page_refs" },
	{ 0x13bdc534, "I_BDEV" },
	{ 0x8d620d35, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3558b8e4, "iov_iter_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc6dfaf50, "register_filesystem" },
	{ 0xb4c57329, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x702eb12c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xca49c129, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x137be255, "d_alloc" },
	{ 0xf74877d2, "simple_dir_operations" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xcab0cabc, "simple_unlink" },
	{ 0xf4e11e78, "blkdev_put" },
	{ 0x39298c31, "kmem_cache_alloc" },
	{ 0x38036af2, "submit_bio" },
	{ 0x6107f929, "kern_mount" },
	{ 0x45dabc75, "simple_getattr" },
	{ 0x1abdae50, "inode_init_once" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe5465bfd, "ilookup5" },
	{ 0x928d2e69, "bio_put" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xac69c529, "perf_trace_run_bpf_submit" },
	{ 0x24bc40ac, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xdd4aba0, "blkdev_get_by_dev" },
	{ 0x24d273d1, "add_timer" },
	{ 0x1bbe066, "set_nlink" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x986b3799, "kmem_cache_free" },
	{ 0x18a147c, "bio_integrity_add_page" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xecf99154, "bio_kmalloc" },
	{ 0xe4a2e584, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x46193c82, "bio_integrity_alloc" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9002eb50, "kill_litter_super" },
	{ 0xcba8ce11, "bio_init" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdf0405c, "iov_iter_get_pages_alloc2" },
	{ 0x4952f6d, "init_pseudo" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xc11c3d5d, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x462a8dcc, "mount_nodev" },
	{ 0x5b50f88, "igrab" },
	{ 0x7c2367f, "trace_event_buffer_reserve" },
	{ 0x66c61e57, "bio_uninit" },
	{ 0xdc7b1d1c, "d_add" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3a099605, "__get_user_nocheck_4" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5457e898, "param_ops_bool" },
	{ 0x44e9a829, "match_token" },
	{ 0x7c6f5a44, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x26011cfa, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xd548a720, "generic_delete_inode" },
	{ 0xd92d65ac, "simple_lookup" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xbca11d9d, "kern_unmount" },
	{ 0x46e2c844, "kill_anon_super" },
	{ 0xc8f6f883, "kmalloc_trace" },
	{ 0x7e1868e4, "iget5_locked" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf096065, "iov_iter_npages" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf2828ff2, "kmalloc_caches" },
	{ 0xc487c12, "kmem_cache_destroy" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EC29E823CF57A2407971DD5");

MODULE_INFO(suserelease, "SLE15-SP6");
